Skip to main content

Server 2022.3 发行说明

产品发行说明版本

版本

日期

发行版

支持结束日期

2022.3.1.395

2022 年 11 月 29 日

有限可用性

2024 年 11 月 29 日

2022.3.1.430

2023 年 1 月 25 日

主要

2024 年 11 月 29 日

2022.3.1.450(补丁 2 )

2023 年 3 月 8 日

小型/补丁

2024 年 11 月 29 日

2022.3.1.486(补丁 3)

2023 年 5 月 2 日

小型/补丁

2024 年 11 月 29 日

2022.3.1.508(补丁 4)

2023 年 6 月 28 日

小型/补丁

2024 年 11 月 29 日

2022.3.1.532(补丁 5)

2023 年 8 月 30 日

小型/补丁

2024 年 11 月 29 日

2022.3.1.553(补丁 6)

2023 年 11 月 9 日

小型/补丁

2024 年 11 月 29 日

2022.3.1.573 (Patch 7)

January 4, 2024

Minor/Patch

November 29, 2024

2022.3.1.590 (Patch 8)

February 15, 2024

Minor/Patch

November 29, 2024

重要

请注意,任何参与 2022.3 优先可用性项目的客户都应继续全面升级到 2022.3.1.430,这将完全重新安装 Server 的正式发布版本 2022.3.1.430。

重要

由于 2022.3 中的加密迁移,仅支持将 2021.2 和更高版本的 Server 升级到 2022.3。如果您的版本低于 2021.2,请先升级到 2021.2 或更高版本,然后再升级到 2022.3。

重要

Alteryx Server 2022.3 版本分别提供正式发布版本和 能够在 FIPS 140-2 环境运行 的产品。请注意,这些标准由美国国家标准和技术研究所 (NIST) 制定,供美国政府机构和承包商使用。有关 FIPS 的详细信息,请访问 NIST FIPS 常见问题页面 Alteryx Server-FIPS

Alteryx Server 的正式发行(非 FIPS)版本不能在 FIPS 环境运行。我们的 FIPS 140-2 客户可以根据单独的许可条款获得单独的版本(和安装程序)。有关详细信息,请联系您的 Alteryx 销售代表

功能差异

与以前的非 FIPS Server 版本相比,Server-FIPS 2022.3 的一些功能不可用或功能有限。请参阅 Alteryx Server 和 Server-FIPS 功能差异 ,获取参考信息。Alteryx Server 和 Server-FIPS:功能差异

重要

面向使用日语,中文,法语和意大利语操作系统的用户的安装说明

日语、中文、法语和意大利语操作系统上的 Server UI 错误:打开 Server UI 时显示 HTTP 500 错误(例如,HTTP500 内部服务器错误:无法显示此网页。)要避免此问题,请将非英语操作系统上的语言设置更改为英语,然后再安装 Alteryx Server。安装后,将语言改回您的首选语言。

注意

升级注意事项

从版本 2022.3 开始,低于 2022.3 的 Designer 版本无法将工作流从 Designer 共享到 Server。您需要使用管理员 UI 或 API 将这些工作流上传到 Server 2022.3。要保持与 Server 的兼容性,请下载最新版本的 Designer。

注意

内置身份验证类型所需的密码重置

如果您使用内置身份验证并从低于 22.1 的版本升级,则由于安全性的提高,您需要重置密码。如果您在版本 22.1 中未重置密码,则需要启用 SMTP。这样,用户就可以通过忘记密码功能重置密码,或者管理员可以通过 UI 或 API 为所有用户触发密码重置。要详细了解如何在升级到 22.1 版后重置 Server 密码,请访问 重置用户的 Server 密码 帮助页面。重置用户的 Server 密码

注意

时间戳格式即将发生的变化

在即将发布的版本中,Server 数据库中的所有时间戳都将转换为 UTC 格式。前端 Server 用户界面的功能不会发生变化,所有时间都将按 Server 配置设置的预期来显示。如果您直接从 Server 数据库获取时间戳,请注意这些时间戳将迁移为 UTC 格式以在整个产品中实现标准化,并解决夏令时问题。

新增功能

安装程序更新

从 2022.3 版本开始,Alteryx Designer、Server 和 R 预测工具会使用新的安装程序技术。更新后的安装程序会检测您的操作系统语言,并以该语言安装 Alteryx 产品(如果我们支持该语言)。有关升级和降级的重要注意事项,请参阅 下载和安装产品 ,并 查看更新后的命令行选项

迁移准备工具

要在整个 Server 中使用最新和最佳的加密技术来保护静态数据和动态数据,您现在可以将加密迁移到最现代的算法,无需花费大量的停机时间,也不用中断您的业务。

在转而采用更现代的、能在FIPS环境运行的加密技术时,Alteryx 准备了一个“迁移准备工具”来缩短将您所有工作流迁移到新加密标准所需的维护窗口停机时间。

Server 的迁移准备工具是一个单独的命令行实用程序,您可以使用该程序对工作流和应用程序的数据库进行预迁移,以便能更快地迁移到新的 AES256 标准。

此工具是可选的。您只需在将任何以前的 Server 版本升级到 Server 2022.2.x(FIPS 内部版本)、2022.3.x(FIPS 或正式发布版本)或更高版本之前,运行一次该工具即可。但是,我们建议您在某些情况下运行“迁移准备”工具。

如需详细了解此工具,请访问 迁移准备工具 帮助页面。迁移准备工具

Server UI 重新设计

我们重新设计了下述管理员页面:通知、设置(以前的“配置”和“主题”)、作业、计划、媒体、洞察、工作流、订阅、诊断、数据连接、分区、页面和链接。但这些页面的功能保持不变。

“全局搜索”用户界面也已更新。搜索结果中返回的项目现在包含更多信息,如创建日期、作者和类型。您还可以选择搜索中要包括的资源类型。这些更新让您可以更好地控制搜索内容,并从搜索页面上直接获得有关搜索结果的更多信息。

本地化

中文、法语、意大利语、日语、德语、西班牙语和葡萄牙语的本地化已扩展到所有 Server 页面,但登录页面和“分析应用程序”页面除外。

OpenSSL3 加密模块更新

  • 我们已将捆绑的 OpenSSL3 加密引擎更新为 OpenSSL 3.0.7,这解决了 CVE-3602 和 CVE-3786 两大“高”严重级别的安全隐患。

  • 我们已捆绑了 OpenSSL3 旧版提供程序,它提供了较旧的算法和安全加密套件(MD2、MD4、RC4、DES、IDEA 等),这些算法和加密套件不再打包为 3.x 系列中核心加密引擎的一部分。请注意,除非已通过特定 Designer 或 Server 主机上的后端配置手动启用旧版提供程序,否则系统将不加载该提供程序。

加密和散列更新

以下是我们对 Server 加密所做的更新:

  • 所有静态数据加密现在都使用 AES256。

  • MD5 和 SHA1 散列已更新为 SHA256。

  • Alteryx Server-FIPS 使用以下能够在 FIPS 140-2 运行的加密模块:

    • OpenSSL 版本 3.0.0 – OpenSSL FIPS 提供程序 – 算法证书 ( A1938 ) [1]

    • Windows 10 - 加密基元库 - 证书 #3197

  • 对于 Server-FIPS,此版本中的分析应用程序字段未加密。*如果您在分析应用程序字段中输入了您的个人识别信息 (PII),那么这些数据将不会受到额外保护。

*我们在 2023 年 3 月 23 日更正了此声明,以指明该缺陷仅影响 Server-FIPS。在 Server 的标准(非 FIPS)版本中,分析应用程序字段中的 PII 将受到保护。

Server V3 API:工作流、作业和凭证端点

我们还为具有“管理员”和“创建者”权限的用户,对 Server V3 API 进行了一些更新:

  • 作为 Alteryx Server 的管理员,您现在可以自动执行许多流程,如上传工作流以及访问工作流和凭证信息。

  • 作为具有“创建者”权限的用户,您现在可以作为 v3 API 的一部分从 v1/v2/subscriptions 访问一些 /workflows 和 /jobs 端点。您还可以发布工作流并指定工作流凭证,以便工作流具有正常运行所需的所有元数据。

如需详细了解 Server V3 API,请访问 Alteryx Server API V3 和  Server API V3 对象 帮助页面。访问 Server API V3Server API V3 对象

系统设置更新

  • SSL/TLS: AlteryxService 现在支持使用 TLS 来进行内部和直接服务层通信。对于 Server-FIPS,已为所有服务启用 TLS,而且无法禁用。基于此变化,您必须在控制器和 Server UI 节点上安装 X.509 (TLS) 证书。这使得 TLS 可以用于节点之间的通信。我们建议在托管 Server 的所有计算机上安装证书,无论其配置如何。如需详细了解 TLS 设置,请访问 系统设置 帮助页面。系统设置

  • Engine(引擎): 当您在系统设置 > Engine(引擎)>  General(常规信息)中启用 Allow Server to manage engine resources(允许 Server 管理引擎资源)设置时,Allow users to override these settings(允许用户覆盖以下设置)即被禁用。

SAML 支持更新

我们已消除了对 IdentityServer 3 和 AlteryxAuthHost.exe 进程的依赖。“SAML 功能”现在作为 AlteryxServerWebApiHost.exe 进程的一部分来提供。本次更新中,我们还添加了对请求签名的支持。

这意味着从 2022.3 版开始,我们将通过 Web API 服务使用更新后的服务提供商端点。请注意,使用以前的端点的现有配置将继续工作,目前不需要执行任何操作,仍可继续对现有的 Alteryx Server 使用 SAML。

Alteryx 系统设置 ACS Base URL:

  • 以前的默认值:http(s)://host.domain.tld/aas/

  • 新的默认值:http(s)://host.domain.tld/webapi/

身份提供商受众 URI:

  • 以前的默认值:http(s)://host.domain.tld/aas/Saml2

  • 新的默认值:http(s)://host.domain.tld/webapi/Saml2

身份提供商单点登录 URL:

  • 以前的默认值:http(s)://host.domain.tld/aas/Saml2/Acs

  • 新的默认值:http(s)://host.domain.tld/webapi/Saml2/Acs

使用情况数据配置

我们已在 Server “Environment” 的设置中删除了用于发送使用情况数据的配置。如需阅读我们在使用情况数据方面的理念的更多信息,请访问 利用使用情况数据优化我们的产品 Alteryx 隐私政策

弃用 Server 使用情况报告

Server 使用情况报告曾经作为单独的下载资源与 Server 产品一起提供,管理员在连接到 MongoDB 的 Designer 中运行一个工作流可获取有关其 Server 环境的宝贵统计信息。

由于 Server 数据库架构的不断变化,报告输出的有效性和价值随着时间的推移而降低,并且未来的“Server 使用情况报告”将不会捕获基础 Server 产品数据库中添加的新架构。因此,Server 使用情况报告将不再作为单独的下载资源与 Server 一起发布。以前的报告版本将继续可供下载,但随着时间的推移,持续的数据库变化将继续降低此类报告的输出价值。

作为一个 Designer 宏指令,该报告可由任何用户下载和更新,根据需要从 MongoDB 获得的信息进行持续使用。但是,Alteryx 产品团队将不再对处于当前状态的报告进行更新或维护。

如果您希望提交有关 Server 使用情况报告 的反馈意见,请完成 这项调查 ,以便我们的 Server 产品团队能够适当地捕捉任何要求,以考虑将来纳入我们的产品套件。安装 Server 使用情况报告

Server API V3 中计划的时区

已为以下 API V3 端点添加了时区:

  • POST/v3/schedules :此端点已更新,您可以为“计划”设置的时间和时区。

    例如,如果要将“计划”设置为山地时间下午 5:00,可以jiang计划设置为下午 5:00,并选择山地时间作为时区。时区选项为可选项,如果未指定时区,默认时区将为 UTC 时间。

  • PUT/v3/schedules: 此端点已更新,使您可以更新用 API 创建的现有“计划”,并根据需要添加时区选项。 

    例如,如果您用 API 端点创建了一个“计划”,并且时间必须以 UTC 格式设置,则您应该能够更新计划并更改时间和时区。

    但是,如果您选择不添加时区,现有计划将继续按预期运行。

  • GET/v3/schedules/{id}: 此端点已更新,您可以查看按 ID 筛选的现有“计划”的时区。

  • GET/v3/schedules :此端点已更新,您可以查看所有现有计划的时区。

如需详细了解端点,请选择 Server 界面右上角的问号图标来访问 Swagger 文档。如需了解在上述 API 端点中使用的有效时区,请参阅 计划端点 帮助页面。计划端点

连接远程控制器的 CLI 选项

作为管理员,您现在可以从现有环境中安全传输加密密钥,以便将 Server 迁移至新主机或降低断机几率。

有关详细信息,请转至 加密密钥传输过程 Encryption Key Transfer Process

已修复和已知的问题

已修复

有限可用性发行版本 2022.3.1.395

ID

描述

版本

问题状态

TGAL-6307

通过新的交互式 API 文档使用 /webapi/v1/workflows/{id}/package 端点时,下载的 .yxzp 文件因 SwaggerUI 2.0 中的一个问题而损坏。要解决此问题,请使用自定义代码或 Postman 等第三方 API 工具从 API 检索软件包。

2022.3.1.395

已修复

TGAL-6338

某些身份提供商登录表单无法在 Alteryx 配置中正确渲染。

2022.3.1.395

已修复

TGAL-6401

供您确认电子邮件地址的链接会将您指向一条用户已通过验证的错误消息。

2022.3.1.395

已修复

TGAL-6408

GS-622

将默认工作程序标记分配给订阅时,未被正确保存。

2022.3.1.395

已修复

TGAL-6417

TMEE-518

规范名称与通知 URL 无关。

2022.3.1.395

已修复

TGAL-6425

GBETA-177

对姓氏为 Null 的用户权限更改失败。但不显示通知您更改失败的错误信息。

2022.3.1.395

已修复

TGAL-6443

GCSE-453

对从 Designer 上传的工作流 POST/v3/workflows/{workflowId}/versions 端点不在 UI 中显示。

2022.3.1.395

已修复

TGAL-6468

GCSE-462

无法通过 v3/schedules Server API 端点执行“日期筛选”。

2022.3.1.395

已修复

TGAL-6480

GBETA-302

Alteryx Server API V3 用户端点:尝试创建用户失败。

2022.3.1.395

已修复

TGAL-6482

Server API:如果公共空间中有工作流,则针对 /users/ 执行 DELETE v3 操作会失败。

2022.3.1.395

已修复

TGAL-6483

GCSE-479

Server API:如果用户的 lastName 为 Null,则 PUT /Users/v3 会失败。

2022.3.1.395

已修复

TGAL-6530

2022.1:用户配置文件仍显示订阅 API 验证序号事件(尽管该功能已在 22.1 中删除)。此外,管理员仍可以从订阅中开启/关闭 API。

2022.3.1.395

已修复

TGAL-6537

GCSE-502

计划预测:尝试在管理员 > 作业 > 计划的工作流选项卡下对已计划的工作流进行加载时遇到错误。

2022.3.1.395

已修复

TGAL-6590

GCSE-561

使用 MMAPv1 存储引擎时,服务无法在 MongoDB 4.2 上启动。

2022.3.1.395

已修复

TGAL-6592

V3 API POST/workflow 和 PUT /workflow 不允许 workflowCredentialType 设置。

2022.3.1.395

已修复

TGAL-6702

TMEE-687

包含地图数据的 .yxdb 输出无法正确渲染预览。

2022.3.1.395

已修复

TGAL-6706

GCSE-635

当 Server UI 在配置中启用了“禁用直接下载”时,在打开任何迁移到该环境的或通过“管理员工作流”页面上传的工作流时都会出错。

2022.3.1.395

已修复

TGAL-6720

API 验证序号和 API 密钥对于从用户页面创建的用户不可用。

2022.3.1.395

已修复

TGAL-6740

Server API:POST /v3/workflows/{workflowId}/versions 端点未按预期工作。我们暂时禁用了该端点。当有解决方案可用时,我们将重新启用该端点。

2022.3.1.395

已修复

TMEE-382

横幅广告在 21.4 及更高版本中不再有效。

2022.3.1.395

已修复

TMEE-383

将鼠标悬停在横幅广告上时,不显示悬停文本。

2022.3.1.395

已修复

TMEE-444

应用程序重新运行:应用程序问题被重置为默认值,而不是保留输入的值。

2022.3.1.395

已修复

TMEE-457

如果关键字包含下划线,全局搜索功能无法工作。

2022.3.1.395

已修复

TMEE-520

GBETA-179

除非刷新页面,否则不会显示 API 凭证。

2022.3.1.395

已修复

TMEE-549

GCSE-492

2021.4 升级:Server UI 中的元信息显示问题。

2022.3.1.395

已修复

TMEE-564

TGAL-6536

多节点环境中,在用户刷新页面之前,不会反映出已创建的用户。

2022.3.1.395

已修复

TMEE-606

更新设置时,“管理员设置”页面返回 400 和 500 错误码。

2022.3.1.395

已修复

TMEE-608

在“管理员 > 设置 > 配置”中将“用户可以注册”设置为启用(勾选)时,会通过将“SignupDisabled”设置为 True 而导致不能注册。

2022.3.1.395

已修复

TMEE-609

管理分区:在“创建分区”页面中,选择 NavLink 字段时不会自动填充“标题”文本。

2022.3.1.395

已修复

TMEE-618

管理分区:“上传分区图标模态框”窗口中缺少“重置为默认值”的图标。

2022.3.1.395

已修复

TMEE-630

漏洞修复 22.2:使用 Windows 作为身份验证方法时,不应提示管理员输入用户名和密码。

2022.3.1.395

已修复

TMEE-636

漏洞修复 22.2:管理员无法更改工作流详细信息中的工作流图标。

2022.3.1.395

已修复

TMEE-643

漏洞修复 22.2:管理员作业中看不到“计划的时间”列。

2022.3.1.395

已修复

TMEE-652

Server UI 全局搜索:无法在全局搜索结果中显示工作流、页面、分区的创建人。

2022.3.1.395

已修复

TMEE-824

管理员用户:无法上传197 KB 至 200 KB 的个人资料照片文件。

2022.3.1.395

已修复

已修复

大型发行版本 2022.3.1.430

ID

描述

版本

问题状态

TCPE-490

GCSE-960

一个RuntimeSettings.xml 文件的 AccessControlAllowOrigin 标记中的 CORS 策略属性导致 Web API 失败,从而使 Gallery 节点无法成功启动。

2022.3.1.430

已修复

TGAL-6743

使用地图输入工具的应用程序中可能无法渲染底图(取决于具体配置)。有关更多信息以及如何解决此问题,请参阅 Maps tiles do not render in Server UI(无法在 Server UI 中呈现地图图块) 社区文章。

2022.3.1.430

已修复

TGAL-6794

在保存已有“计划”的工作流的新版本时,新版本仅运行一次,然后“计划”切换回工作流的先前版本。

2022.3.1.430

已修复

TGAL-6986

如果工作流的名称与最初上传的工作流的名称不同,则 POST admin/v1/workflows/ 端点会导致无法运行工作流。

2022.3.1.430

已修复

TGAL-6990

GCSE-1027

如果环境包含密码为 NULL 或为空的 Server 数据连接,则数据库架构迁移将失败。

2022.3.1.430

已修复

TGAL-7078

GCSE-1069

有限可用性版 2022.3 Server 工作流无法在加密后重新上传。

2022.3.1.430

已修复

TPRI-933

在 2021.4 及更高版本中,只有工作流所有者和管理员可以访问 工作流设置 。在以前的版本中,所有有权访问工作流的用户都可以访问 工作流设置

2022.3.1.430

已修复

TPRI-935

在配置为使用 Windows 身份验证的 Server 上,无法将用户添加到订阅。

2022.3.1.430

已修复

已修复

小型/补丁 2 发行版本 2022.3.1.450

ID

描述

版本

问题状态

TGAL-7053

当工作流在 Designer 中将未明确与 Server 用户共享的 Server 数据连接用于其他用途时,这些用户能够在 Server 中运行这些工作流。这是针对 Server 实例中所有工作流的全局设置。管理员可以在 管理  > 设置  > 配置 > 资源 中控制此设置。

2022.3.1.450

已修复

TGAL-7199

从 Designer 发布的所有版本的工作流在 Server 中显示为版本 1,较旧的版本将无法访问。

2022.3.1.450

已修复

已修复

小型发行版本/补丁 3 2022.3.1.486

ID

描述

版本

问题状态

GDCM-2765

迁移到 2022.3 后,带有包含用户名但不包含密码的凭证的工作流不会运行。

2022.3.1.486

已修复

TGAL-6769

连接仅与 Alteryx Server 上用户组的直接成员共享,而不能与 Alteryx Server 上属于此用户组的 AD 组成员共享。

2022.3.1.486

已修复

TGAL-7247

Server 管理员需要在工作程序上使用可配置的连接,这样工作程序在直接连接到 MongoDB 时能够使用独一无二的登录凭证。

2022.3.1.486

已修复

TGAL-7291

GCSE-1121

Server 管理员界面无法为使用 Windows 身份验证的 Microsoft SQL Server 添加数据连接。

2022.3.1.486

已修复

TPRI-972

工作流版本历史记录弹出窗口:当有 5 个以上的版本时,并非所有工作流版本都可查看。

2022.3.1.486

已修复

TPRI-1071

如果您尝试运行最新版本以外的工作流版本,工作流不会正确运行。Server 不会发送要运行的正确版本。

2022.3.1.486

已修复

已修复

小型发行版本 2022.3.1.508

ID

描述

版本

问题状态

TGAL-7785

TCPE-587

GCSE-1149

Designer 无法直接连接到远程控制器来创建或管理计划(桌面自动化/计划程序)。

2022.3.1.508

已修复

TPRI-1487

如果工作流或应用程序的所有者更改了已发布版本,而且更改后的版本并非该工作流的最新版本,则更改后立即在 Server 中手动运行工作流时,Server 将运行已发布版本,而不是最新版本,但此情况只会出现在首次手动运行时,后续手动运行将按预期执行最新版本。

2022.3.1.508

已修复

已修复

小型发行版本 2022.3.1.532

ID

描述

版本

问题状态

TCPE-618

GCSE-1210

升级到 2021.4 - 2022.3 后,通过 admin/v1/workflow API 端点上载的工作流无法加载到 Server 中,导致网络选项卡中出现 404 错误和“未找到页面”错误,并重定向到“我的工作区”。

2022.3.1.532

已修复

TGAL-8397

升级到 Alteryx Server 2022.3 后,许多工作流修订版在 Alteryx Server UI 中显示为版本 0。

2022.3.1.532

已修复

TPRI-1135

GBETA-362

在 Server 中安排工作流时,用户无法选择日历日。

2022.3.1.532

已修复

已修复

小型发行版本 2022.3.1.553

ID

描述

版本

问题状态

TCPE-597

GCSE-1178

升级到 2022.3 后,使用 Meta 或 x509 时,登录到 Okta 用户门户,选择应用,系统会抛出 SAML 异常。

2022.3.1.553

已修复

TGAL-8569

通过 CLI 进行的 DCMKey 传输并不适用于所有密钥。

2022.3.1.553

已修复

TPRI-1077

GCSE-1135

运行消息在服务器 UI 的工作流结果中不会换行,并且无法完全复制。

2022.3.1.553

已修复

TPRI-2273

用户无法复制作业结果消息中的文本。

2022.3.1.553

已修复

Fixed

Minor Release Version 2022.3.1.573

ID

Description

Version

Issues Status

TCPE-648

GCSE-1295

Telemetry XML generated for unsaved workflow runs picks up the WorkflowFilePath of a previously run, saved workflow in customer managed Telemetry XML.

2022.3.1.573

Fixed

TGAL-8184

TCPE-740

Certain CredentialPasswordID values are causing MongoDB migration to schema 42 to fail and preventing successful upgrade to 2022.3+.

2022.3.1.573

Fixed

Fixed

Minor Release Version 2022.3.1.590

ID

Description

Version

Issue Status

TCPE-921

GCSE-1888

The POST /admin/v1/workflows endpoint is returning "An item with the same key has already been added." exception message for specific YXZP files.

2022.3.1.590

Fixed

TGAL-9760

GCSE-1830

Controller token and MongoDB password is intermittently becoming corrupt causing service issues as a result.

2022.3.1.590

Fixed

已知

有限可用性发行版本 2022.3.1.395

ID

描述

版本

问题状态

TGAL-6264

GCSE-339

当用户名全部由日文字符组成时,用户不会显示在“数据连接”的“添加用户”下拉列表中。

2022.3.1.395

已知

TGAL-6357

GCSE-412

从 Server UI 窗口打开工作流时会立即退出。

2022.3.1.395

已知

TGAL-6394

GS-610

夏令时 (DST) 改变了作业/工作流的未来时间间隔安排。在夏令时凌晨 2:00 - 凌晨 2:59 的窗口期安排时间时,作业/工作流会被推移到整点时刻。有关 DST 更改的详细信息,请访问 计划:时区支持 计划:时区支持

2022.3.1.395

已知

TGAL-6467

GCSE-464

夏令时 (DST) 导致计划在 Server 中的运行时间不正确 - 在夏令时期间,计划会向前或向后偏移一个小时。有关 DST 更改的详细信息,请访问 计划:时区支持 计划:时区支持

2022.3.1.395

已知

TGAL-6743

在使用地图输入工具的应用程序中可能无法呈现底图,具体取决于您的配置。有关更多信息以及如何解决此问题,请参阅 Maps tiles do not render in Server UI(无法在 Server UI 中呈现地图图块) 社区文章。

2022.3.1.395

已知

TGAL-6745

GCSE-723

Server API V3:在 API 请求的 Accept 标头中设置“application/xml”或“text/xml”将返回错误,或不会返回 XML 格式的结果。

2022.3.1.395

已知

TGAL-6751

使用 SAML 的管理员登录页面不显示 SAML 登录屏幕。

2022.3.1.395

已知

TGAL-6756

管理员尝试以“替换工作流”按钮将 API or 管理员 UI 载入的工作流替换从 Designer上传的工作流时返回错误。

2022.3.1.395

已知

TGAL-6825

迁移准备工具在初次输入提示时可接受多个输入,并按顺序读取这些输入。因此,“yy”可以在用户不知情的情况下批准多个命令。

2022.3.1.395

已知

TGAL-6848

GCSE-946

升级到 2022.1 后,集合和其他页面出现间歇性 Server 访问问题。

2022.3.1.395

已知

TGAL-6990

GCSE-1027

如果环境包含密码为 NULL 或为空的 Server 数据连接,则数据库架构迁移将失败。

2022.3.1.395

已知

TMEE-713

GCSE-637

在 Server 中运行的 Analytics 应用程序的输出消息无法正确显示。

2022.3.1.395

已知

TMEE-772

GCSE-726

当您在 2022.1 中编辑每周计划时,系统会选择所有日期,而不是您之前选择的日期。此外,不会预先勾选“没有结束日期”复选框。

2022.3.1.395

已知

TMEE-845

GBETA-326

Server UI/UX 改进:Server 管理员界面的新页面文本框无法处理日语文本输入。

2022.3.1.395

已知

TMEE-859

GBETA-342

Server UI/UX 改进:“资源管理”消息未翻译。

2022.3.1.395

已知

TMEE-860

GBETA-343

Server UI/UX 改进:“分区 > 创建分区”中的摘录文本存在编辑问题。当您在文本中间添加字符时,光标会自动返回到文本末尾。

2022.3.1.395

已知

GSCE-1329

日语、中文、法语和意大利语操作系统上的 Server UI 错误:打开 Server UI 时显示 HTTP 500 错误(例如,HTTP500 内部服务器错误:无法显示此网页。)要避免此问题,请将非英语操作系统上的语言设置更改为英语,然后再安装 Alteryx Server。安装后,将语言改回您的首选语言。

2022.3.1.395

已知

TCPE-618

GCSE-1210

升级到 2021.4 - 2022.3 后,通过 admin/v1/workflow API 端点上载的工作流无法加载到 Server 中,导致网络选项卡中出现 404 错误和“未找到页面”错误,并重定向到“我的工作区”。

2022.3.1.395

已知

已知

大型发行版本 2022.3.1.430

ID

描述

版本

问题状态

TGAL-7017

即使启用了“未注册的用户可以在主页上运行工作流”设置,匿名用户仍然无法运行公共工作流。

2022.3.1.430

已知

TINST-503

TDES-4841

在 Server 完整正式发布版本的基础上安装 Server 补丁后,补丁版本不显示在 Designer 的“关于 Alteryx”窗口中。而是仅显示 Server 版本。

2022.3.1.430

已知

TPRI-1487

如果工作流或应用程序的所有者更改了已发布版本,而且更改后的版本并非该工作流的最新版本,则更改后立即在 Server 中手动运行工作流时,Server 将运行已发布版本,而不是最新版本,但此情况只会出现在首次手动运行时,后续手动运行将按预期执行最新版本。

2022.3.1.430

已知

GSCE-1329

日语、中文、法语和意大利语操作系统上的 Server UI 错误:打开 Server UI 时显示 HTTP 500 错误(例如,HTTP500 内部服务器错误:无法显示此网页。)要避免此问题,请将非英语操作系统上的语言设置更改为英语,然后再安装 Alteryx Server。安装后,将语言改回您的首选语言。

2022.3.1.430

已知

安全更新

已知

ID

描述

版本

问题状态

TGAL-2207

待披露。*

所有 2022.x 版本

已知

TGAL-6764

待披露。*

所有 2022.x 版本

已知

TGAL-6772

GCSE-822

待披露。*

所有 2022.x 版本

已知

*根据安全最佳实践的要求,为防止恶意攻击者可能会利用漏洞来操纵程序,在使用修复程序更新所有受支持的版本之前,Alteryx 不会披露未解决漏洞的详细信息。从 2022.3 开始,版本和更新将陆续发布,并将持续到为所有受支持的版本均提供修复程序为止。为确保及时修复您使用的所有版本,强烈建议您进行定期更新。受到影响的所有受支持版本的漏洞都完成修复后,我们将提供更多信息。

已修复

小型发行版本/补丁 3 2022.3.1.486

ID

描述

版本

问题状态

TGAL-2207

待披露。*

2022.3.1.486

已修复

TVULC-1373

待披露。*

2022.3.1.486

已修复

*根据安全最佳实践的要求,为防止恶意攻击者可能会利用漏洞来操纵程序,在使用修复程序更新所有受支持的版本之前,Alteryx 不会披露未解决漏洞的详细信息。已知会受到影响的所有受支持版本的漏洞都完成修复后,我们将提供更多信息。

已修复

小型/补丁 5 发行版本 2022.3.1.532

ID

描述

版本

问题状态

TGAL-8405

GCSE-1571

待披露。*

2022.3.1.532

已修复

*根据安全最佳实践的要求,为防止恶意攻击者可能会利用漏洞来操纵程序,在使用修复程序更新所有受支持的版本之前,Alteryx 不会披露未解决漏洞的详细信息。已知会受到影响的所有受支持版本的漏洞都完成修复后,我们将提供更多信息。

已修复

小型/补丁 6 发行版本 2022.3.1.553

ID

描述

版本

问题状态

TCUD-423

更新了嵌入式 Chromium 框架库 (CEF) 以解决 CVE-2023-4863 (libwebp) 的潜在问题。

2022.3.1.553

已修复

TGAL-8498

GVM-584

待披露。*

2022.3.1.553

已修复